Get a container's transport events
curl --request GET \
--url https://api.terminal49.com/v2/containers/{id}/transport_events \
--header 'Authorization: <api-key>'import requests
url = "https://api.terminal49.com/v2/containers/{id}/transport_events"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.terminal49.com/v2/containers/{id}/transport_events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "efc3f3c1-cdc2-4a7d-a176-762ddec107b8",
"type": "transport_event",
"attributes": {
"event": "container.transport.vessel_loaded",
"created_at": "2021-01-05T08:41:12Z",
"voyage_number": "15W10",
"timestamp": null,
"location_locode": "CLSAI",
"timezone": "America/Santiago"
},
"relationships": {
"shipment": {
"data": {
"id": "06264731-503e-498e-bc76-f90b87b31562",
"type": "shipment"
}
},
"container": {
"data": {
"id": "eeafd337-72b5-4e5c-87cb-9ef83fa99cf4",
"type": "container"
}
},
"vessel": {
"data": {
"id": "345c05ab-4217-4ffe-a1a4-6c03b9ad2b36",
"type": "vessel"
}
},
"location": {
"data": {
"id": "0ad2cf2b-e694-4ccc-9cd2-40af0d1fa1b5",
"type": "port"
}
},
"terminal": {
"data": null
}
}
},
{
"id": "951058bd-2c3b-4bcc-94e1-9be2526b9687",
"type": "transport_event",
"attributes": {
"event": "container.transport.vessel_departed",
"created_at": "2021-01-05T08:41:11Z",
"voyage_number": "15W10",
"timestamp": null,
"location_locode": "CLSAI",
"timezone": "America/Santiago"
},
"relationships": {
"shipment": {
"data": {
"id": "06264731-503e-498e-bc76-f90b87b31562",
"type": "shipment"
}
},
"container": {
"data": {
"id": "eeafd337-72b5-4e5c-87cb-9ef83fa99cf4",
"type": "container"
}
},
"vessel": {
"data": {
"id": "345c05ab-4217-4ffe-a1a4-6c03b9ad2b36",
"type": "vessel"
}
},
"location": {
"data": {
"id": "0ad2cf2b-e694-4ccc-9cd2-40af0d1fa1b5",
"type": "port"
}
},
"terminal": {
"data": null
}
}
},
{
"id": "69af6795-56c2-4157-9a87-afd761cc85a0",
"type": "transport_event",
"attributes": {
"event": "container.transport.full_out",
"created_at": "2020-05-14T00:05:41Z",
"voyage_number": null,
"timestamp": "2020-04-14T00:00:00Z",
"location_locode": "USOAK",
"timezone": "America/Los_Angeles"
},
"relationships": {
"shipment": {
"data": {
"id": "06264731-503e-498e-bc76-f90b87b31562",
"type": "shipment"
}
},
"container": {
"data": {
"id": "eeafd337-72b5-4e5c-87cb-9ef83fa99cf4",
"type": "container"
}
},
"vessel": {
"data": null
},
"location": {
"data": {
"id": "42d1ba3a-f4b8-431d-a6fe-49fd748a59e7",
"type": "port"
}
},
"terminal": {
"data": null
}
}
},
{
"id": "68c3c29a-504a-4dbb-ad27-7194ef42d484",
"type": "transport_event",
"attributes": {
"event": "container.transport.vessel_discharged",
"created_at": "2020-05-14T00:05:41Z",
"voyage_number": "15W10",
"timestamp": "2020-04-13T00:00:00Z",
"location_locode": "USOAK",
"timezone": "America/Los_Angeles"
},
"relationships": {
"shipment": {
"data": {
"id": "06264731-503e-498e-bc76-f90b87b31562",
"type": "shipment"
}
},
"container": {
"data": {
"id": "eeafd337-72b5-4e5c-87cb-9ef83fa99cf4",
"type": "container"
}
},
"vessel": {
"data": {
"id": "345c05ab-4217-4ffe-a1a4-6c03b9ad2b36",
"type": "vessel"
}
},
"location": {
"data": {
"id": "42d1ba3a-f4b8-431d-a6fe-49fd748a59e7",
"type": "port"
}
},
"terminal": {
"data": {
"id": "3e550f0e-ac2a-48fb-b242-5be45ecf2c78",
"type": "terminal"
}
}
}
},
{
"id": "03349405-a9be-4f3e-abde-28f2cb3922bd",
"type": "transport_event",
"attributes": {
"event": "container.transport.vessel_arrived",
"created_at": "2020-05-14T00:05:41Z",
"voyage_number": "15W10",
"timestamp": "2020-04-13T01:24:00Z",
"location_locode": "USOAK",
"timezone": "America/Los_Angeles"
},
"relationships": {
"shipment": {
"data": {
"id": "06264731-503e-498e-bc76-f90b87b31562",
"type": "shipment"
}
},
"container": {
"data": {
"id": "eeafd337-72b5-4e5c-87cb-9ef83fa99cf4",
"type": "container"
}
},
"vessel": {
"data": {
"id": "345c05ab-4217-4ffe-a1a4-6c03b9ad2b36",
"type": "vessel"
}
},
"location": {
"data": {
"id": "42d1ba3a-f4b8-431d-a6fe-49fd748a59e7",
"type": "port"
}
},
"terminal": {
"data": {
"id": "3e550f0e-ac2a-48fb-b242-5be45ecf2c78",
"type": "terminal"
}
}
}
},
{
"id": "ba9f85b4-658d-4f23-9308-635964df8037",
"type": "transport_event",
"attributes": {
"event": "container.transport.empty_in",
"created_at": "2020-05-14T00:05:42Z",
"voyage_number": null,
"timestamp": "2020-04-15T00:00:00Z",
"location_locode": null,
"timezone": null
},
"relationships": {
"shipment": {
"data": {
"id": "06264731-503e-498e-bc76-f90b87b31562",
"type": "shipment"
}
},
"container": {
"data": {
"id": "eeafd337-72b5-4e5c-87cb-9ef83fa99cf4",
"type": "container"
}
},
"vessel": {
"data": null
},
"location": {
"data": null
},
"terminal": {
"data": null
}
}
}
],
"links": {
"self": "https://api.terminal49.com/v2/containers/eeafd337-72b5-4e5c-87cb-9ef83fa99cf4/transport_events",
"current": "https://api.terminal49.com/v2/containers/eeafd337-72b5-4e5c-87cb-9ef83fa99cf4/transport_events?page[number]=1"
}
}Containers
Get a container's transport events
List normalized transport events for a single container — vessel discharge, gate-out, rail ramp arrival, and more — from the Terminal49 tracking API.
GET
/
containers
/
{id}
/
transport_events
Get a container's transport events
Authorizations
Token YOUR_API_TOKEN
The APIs require authentication to be done using header-based API Key and Secret Authentication.
API key and secret are sent va the Authorization request header.
You send your API key and secret in the following way:
Authorization: Token YOUR_API_KEY
Path Parameters
Query Parameters
Comma delimited list of relations to include
Response
200 - application/json
OK
Show child attributes
Show child attributes
included
(Shipment model · object | Container model · object | Port model · object | Metro area model · object | Terminal model · object | Rail Terminal model · object | vessel · object)[]
- Shipment model
- Container model
- Port model
- Metro area model
- Terminal model
- Rail Terminal model
- vessel
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I